All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information
Class UserFolderType

    com.sas.services.information.UserFolderType

All Implemented Interfaces:
  java.io.Serializable

    public class UserFolderType

implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static UserFolderType` | `APPFOLDER` A pre-defined UserFolderType for the user's application-invisible data.
`static java.lang.String` | `FOLDERTYPE_APPFOLDER` A user's private folder for storing application data that will not be displayed directly by applications.
`static java.lang.String` | `FOLDERTYPE_HOME` A user's top-level home folder.
`static java.lang.String` | `FOLDERTYPE_MYFOLDER` A user's private, application-visible data folder.
`static UserFolderType` | `HOMEFOLDER` A pre-defined UserFolderType representing the user's top-level home folder.
`static UserFolderType` | `MYFOLDER` A pre-defined UserFolderType for the user's private, application-visible data.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getLocalizedFolderName()`
`java.lang.String` | `getType()`

Field Detail

### FOLDERTYPE_HOME

    public static final java.lang.String FOLDERTYPE_HOME

  A user's top-level home folder. This should typically not be used by applications. User-visible data should go into the "My Folder", and behind-the-scenes application data should go into an application folder under "Application Data".

  See Also:
    Constant Field Values

### FOLDERTYPE_MYFOLDER

    public static final java.lang.String FOLDERTYPE_MYFOLDER

  A user's private, application-visible data folder.

  See Also:
    Constant Field Values

### FOLDERTYPE_APPFOLDER

    public static final java.lang.String FOLDERTYPE_APPFOLDER

  A user's private folder for storing application data that will not be displayed directly by applications.

  See Also:
    Constant Field Values

### HOMEFOLDER

    public static final UserFolderType HOMEFOLDER

  A pre-defined UserFolderType representing the user's top-level home folder. Don't use this unless you know what you're doing.

### MYFOLDER

    public static final UserFolderType MYFOLDER

  A pre-defined UserFolderType for the user's private, application-visible data.

### APPFOLDER

    public static final UserFolderType APPFOLDER

  A pre-defined UserFolderType for the user's application-invisible data.

Method Detail

### getType

    public final java.lang.String getType()

### getLocalizedFolderName

    public final java.lang.String getLocalizedFolderName()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.